<?php

if (! $_POST['imie']) {
    echo "ERROR: Brak danych do zapisania";
    exit;
}
        
$file_name = 'dane.xml';        

if (file_exists($file_name)) {
    if (! is_writable ($file_name)) {
        echo "ERROR: Plik $file_name nie moze byc zapisywany";
        exit;
    }
    $xml = simplexml_load_file($file_name);
    $osoby = $xml->osoby;
} else {
    $xml = new SimpleXMLElement('<dane></dane>');
    $osoby = $xml->addChild('osoby');        
}

$osoba = $osoby->addChild('osoba');
$osoba->addChild('imie', $_POST['imie']);
$osoba->addChild('nazwisko', $_POST['nazwisko']);
$osoba->addChild('plec', $_POST['plec']);
$jezyki = $osoba->addChild('jezyki_programowania');
foreach ($_POST['jp'] as $jp) {
    $jezyki->addChild('jezyk_programowania', $jp);
}
$kraje = $osoba->addChild('kraje');
foreach ($_POST['kraj'] as $kraj) {
    $kraje->addChild('kraj', $kraj);
}
$osoba->addChild('uwagi', $_POST['uwagi']);

        
$dom = new DOMDocument("1.0");
$dom->preserveWhiteSpace = false;
$dom->formatOutput = true;
$dom->loadXML($xml->asXML());

$fh = fopen($file_name, 'w');
fwrite($fh, $dom->saveXML());
fclose($fh);

echo "Dane zostay zapisane";

?>
